LabRecon for Linux systems
==========================

If you would like to interface with LabRecon hardware, continue below. 

1) Install Wine at https://wiki.winehq.org/Ubuntu Follow the steps provided on the site.
2) After installing, make sure you have a .wine directory within home (usually ~/.wine). If you did not install wine within your home directory, you will have to manually create symbolic link following the steps under Troubleshooting.
3) Plug in your LabRecon device
4) Launch the script LabRecon.sh by either double clicking in Nautilus, or doing 
	./LabRecon.sh 
in the directory that the script is in. Make sure that all the .dlls and additional files in the original .zip file remain in the same directory.

Additional notes:
-----------------

Wine may prompt you to install severall packages (Mono, Gecko) on first launch. They are not necessary to run LabRecon, however may be useful for other programs you run with wine. 
When running the LRServer for the first time, Wine may prompt you to install MSWINSCK.OCX - clicking install will take care of the issue for you, and you will not be prompted about it again.



Troubleshooting
---------------
If you are having issues launching through Nautilus, make sure you have "run executable text when double clicking" in the Nautilus preferences.

If you are having issues launching still, entering this in terminal  
	chmod 777 LabRecon.sh
should give you permissions to access.

If all else fails, you'll have to manually set up a symbolic link, either through Nautilus, or just entering
	ln -s /dev/ttyUSB0 com1
while in the .wine directory.

*If you are ever still having issues with ports and connecting to hardware, enter this code in terminal, one line after the other*
	cd ~/.wine/dosdevices
	ln -s /dev/ttyUSB0 com1
**If you are still having issues with connection to hardware, you might simply not be in the dialout group. Add the current user to the dialout group using the following**
	sudo adduser [second_user] dialout

If you are having issues with antialiasing and other graphic intensive glitches (the site does not populate when trying to host a live page), you'll have to manually override the gdiplus.dll in winecfg. Run this in terminal, and a GUI should pop up:
	winecfg
Follow the tabs to Libraries, then create a new override for gdiplus.dll using the  dropdown menu. Once added, click "Edit" and make sure the Load Order is set to "Native (Windows)". Make sure you have the gdiplus.dll is in the same directory as LabRecon.exe. If you finish this configuration, you will not have to launch using the script, but can launch using just:
	wine LabRecon.exe
If 
